
;Copyright (c) 2009-2013, Bruno Golosio, Antonio Brunetti, Manuel Sanchez del Rio, Tom Schoonjans and Teemu Ikonen
;All rights reserved.

;Redistribution and use in source and binary forms, with or without
;modification, are permitted provided that the following conditions are met:
;    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
;    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
;    * The names of the contributors may not be used to endorse or promote products derived from this software without specific prior written permission.

;THIS SOFTWARE IS PROVIDED BY Bruno Golosio, Antonio Brunetti, Manuel Sanchez del Rio, Tom Schoonjans and Teemu Ikonen ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL Bruno Golosio, Antonio Brunetti, Manuel Sanchez del Rio, Tom Schoonjans and Teemu Ikonen BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.



;
; This file takes care of the initialization of the IDL interface to xraylib 
;
; Usage: ; From your IDL session, enter:
;    @xraylib 
;
; Then use the xraylib functions, for example:
; print,'Testing xraylib: K-edge energy [keV] for Z=26 is: ',edgeenergy(26,0)
;
;


COMMON XRAYLIB,AVOGNUM,$
	KEV2ANGST,$
	MEC2,$
	RE2,$
	R_E,$
	KA_LINE,$
	KB_LINE,$
	LA_LINE,$
	LB_LINE,$
	KA1_LINE,$
	KA2_LINE,$
	KA3_LINE,$
	KB1_LINE,$
	KB2_LINE,$
	KB3_LINE,$
	KB4_LINE,$
	KB5_LINE,$
	LA1_LINE,$
	LA2_LINE,$
	LB1_LINE,$
	LB2_LINE,$
	LB3_LINE,$
	LB4_LINE,$
	LB5_LINE,$
	LB6_LINE,$
	LB7_LINE,$
	LB9_LINE,$
	LB10_LINE,$
	LB15_LINE,$
	LB17_LINE,$
	LG1_LINE,$
	LG2_LINE,$
	LG3_LINE,$
	LG4_LINE,$
	LG5_LINE,$
	LG6_LINE,$
	LG8_LINE,$
	LE_LINE,$
	LH_LINE,$
	LL_LINE,$
	LS_LINE,$
	LT_LINE,$
	LU_LINE,$
	LV_LINE,$
	MA1_LINE,$
	MA2_LINE,$
	MB_LINE,$
	MG_LINE,$
	KL1_LINE,$
	KL2_LINE,$
	KL3_LINE,$
	KM1_LINE,$
	KM2_LINE,$
	KM3_LINE,$
	KM4_LINE,$
	KM5_LINE,$
	KN1_LINE,$
	KN2_LINE,$
	KN3_LINE,$
	KN4_LINE,$
	KN5_LINE,$
	KN6_LINE,$
	KN7_LINE,$
	KO_LINE,$
	KO1_LINE,$
	KO2_LINE,$
	KO3_LINE,$
	KO4_LINE,$
	KO5_LINE,$
	KO6_LINE,$
	KO7_LINE,$
	KP_LINE,$
	KP1_LINE,$
	KP2_LINE,$
	KP3_LINE,$
	KP4_LINE,$
	KP5_LINE,$
	L1L2_LINE,$
	L1L3_LINE,$
	L1M1_LINE,$
	L1M2_LINE,$
	L1M3_LINE,$
	L1M4_LINE,$
	L1M5_LINE,$
	L1N1_LINE,$
	L1N2_LINE,$
	L1N3_LINE,$
	L1N4_LINE,$
	L1N5_LINE,$
	L1N6_LINE,$
	L1N67_LINE,$
	L1N7_LINE,$
	L1O1_LINE,$
	L1O2_LINE,$
	L1O3_LINE,$
	L1O4_LINE,$
	L1O45_LINE,$
	L1O5_LINE,$
	L1O6_LINE,$
	L1O7_LINE,$
	L1P1_LINE,$
	L1P2_LINE,$
	L1P23_LINE,$
	L1P3_LINE,$
	L1P4_LINE,$
	L1P5_LINE,$
	L2L3_LINE,$
	L2M1_LINE,$
	L2M2_LINE,$
	L2M3_LINE,$
	L2M4_LINE,$
	L2M5_LINE,$
	L2N1_LINE,$
	L2N2_LINE,$
	L2N3_LINE,$
	L2N4_LINE,$
	L2N5_LINE,$
	L2N6_LINE,$
	L2N7_LINE,$
	L2O1_LINE,$
	L2O2_LINE,$
	L2O3_LINE,$
	L2O4_LINE,$
	L2O5_LINE,$
	L2O6_LINE,$
	L2O7_LINE,$
	L2P1_LINE,$
	L2P2_LINE,$
	L2P23_LINE,$
	L2P3_LINE,$
	L2P4_LINE,$
	L2P5_LINE,$
	L2Q1_LINE,$
	L3M1_LINE,$
	L3M2_LINE,$
	L3M3_LINE,$
	L3M4_LINE,$
	L3M5_LINE,$
	L3N1_LINE,$
	L3N2_LINE,$
	L3N3_LINE,$
	L3N4_LINE,$
	L3N5_LINE,$
	L3N6_LINE,$
	L3N7_LINE,$
	L3O1_LINE,$
	L3O2_LINE,$
	L3O3_LINE,$
	L3O4_LINE,$
	L3O45_LINE,$
	L3O5_LINE,$
	L3O6_LINE,$
	L3O7_LINE,$
	L3P1_LINE,$
	L3P2_LINE,$
	L3P23_LINE,$
	L3P3_LINE,$
	L3P4_LINE,$
	L3P45_LINE,$
	L3P5_LINE,$
	L3Q1_LINE,$
	M1M2_LINE,$
	M1M3_LINE,$
	M1M4_LINE,$
	M1M5_LINE,$
	M1N1_LINE,$
	M1N2_LINE,$
	M1N3_LINE,$
	M1N4_LINE,$
	M1N5_LINE,$
	M1N6_LINE,$
	M1N7_LINE,$
	M1O1_LINE,$
	M1O2_LINE,$
	M1O3_LINE,$
	M1O4_LINE,$
	M1O5_LINE,$
	M1O6_LINE,$
	M1O7_LINE,$
	M1P1_LINE,$
	M1P2_LINE,$
	M1P3_LINE,$
	M1P4_LINE,$
	M1P5_LINE,$
	M2M3_LINE,$
	M2M4_LINE,$
	M2M5_LINE,$
	M2N1_LINE,$
	M2N2_LINE,$
	M2N3_LINE,$
	M2N4_LINE,$
	M2N5_LINE,$
	M2N6_LINE,$
	M2N7_LINE,$
	M2O1_LINE,$
	M2O2_LINE,$
	M2O3_LINE,$
	M2O4_LINE,$
	M2O5_LINE,$
	M2O6_LINE,$
	M2O7_LINE,$
	M2P1_LINE,$
	M2P2_LINE,$
	M2P3_LINE,$
	M2P4_LINE,$
	M2P5_LINE,$
	M3M4_LINE,$
	M3M5_LINE,$
	M3N1_LINE,$
	M3N2_LINE,$
	M3N3_LINE,$
	M3N4_LINE,$
	M3N5_LINE,$
	M3N6_LINE,$
	M3N7_LINE,$
	M3O1_LINE,$
	M3O2_LINE,$
	M3O3_LINE,$
	M3O4_LINE,$
	M3O5_LINE,$
	M3O6_LINE,$
	M3O7_LINE,$
	M3P1_LINE,$
	M3P2_LINE,$
	M3P3_LINE,$
	M3P4_LINE,$
	M3P5_LINE,$
	M3Q1_LINE,$
	M4M5_LINE,$
	M4N1_LINE,$
	M4N2_LINE,$
	M4N3_LINE,$
	M4N4_LINE,$
	M4N5_LINE,$
	M4N6_LINE,$
	M4N7_LINE,$
	M4O1_LINE,$
	M4O2_LINE,$
	M4O3_LINE,$
	M4O4_LINE,$
	M4O5_LINE,$
	M4O6_LINE,$
	M4O7_LINE,$
	M4P1_LINE,$
	M4P2_LINE,$
	M4P3_LINE,$
	M4P4_LINE,$
	M4P5_LINE,$
	M5N1_LINE,$
	M5N2_LINE,$
	M5N3_LINE,$
	M5N4_LINE,$
	M5N5_LINE,$
	M5N6_LINE,$
	M5N7_LINE,$
	M5O1_LINE,$
	M5O2_LINE,$
	M5O3_LINE,$
	M5O4_LINE,$
	M5O5_LINE,$
	M5O6_LINE,$
	M5O7_LINE,$
	M5P1_LINE,$
	M5P2_LINE,$
	M5P3_LINE,$
	M5P4_LINE,$
	M5P5_LINE,$
	N1N2_LINE,$
	N1N3_LINE,$
	N1N4_LINE,$
	N1N5_LINE,$
	N1N6_LINE,$
	N1N7_LINE,$
	N1O1_LINE,$
	N1O2_LINE,$
	N1O3_LINE,$
	N1O4_LINE,$
	N1O5_LINE,$
	N1O6_LINE,$
	N1O7_LINE,$
	N1P1_LINE,$
	N1P2_LINE,$
	N1P3_LINE,$
	N1P4_LINE,$
	N1P5_LINE,$
	N2N3_LINE,$
	N2N4_LINE,$
	N2N5_LINE,$
	N2N6_LINE,$
	N2N7_LINE,$
	N2O1_LINE,$
	N2O2_LINE,$
	N2O3_LINE,$
	N2O4_LINE,$
	N2O5_LINE,$
	N2O6_LINE,$
	N2O7_LINE,$
	N2P1_LINE,$
	N2P2_LINE,$
	N2P3_LINE,$
	N2P4_LINE,$
	N2P5_LINE,$
	N3N4_LINE,$
	N3N5_LINE,$
	N3N6_LINE,$
	N3N7_LINE,$
	N3O1_LINE,$
	N3O2_LINE,$
	N3O3_LINE,$
	N3O4_LINE,$
	N3O5_LINE,$
	N3O6_LINE,$
	N3O7_LINE,$
	N3P1_LINE,$
	N3P2_LINE,$
	N3P3_LINE,$
	N3P4_LINE,$
	N3P5_LINE,$
	N4N5_LINE,$
	N4N6_LINE,$
	N4N7_LINE,$
	N4O1_LINE,$
	N4O2_LINE,$
	N4O3_LINE,$
	N4O4_LINE,$
	N4O5_LINE,$
	N4O6_LINE,$
	N4O7_LINE,$
	N4P1_LINE,$
	N4P2_LINE,$
	N4P3_LINE,$
	N4P4_LINE,$
	N4P5_LINE,$
	N5N6_LINE,$
	N5N7_LINE,$
	N5O1_LINE,$
	N5O2_LINE,$
	N5O3_LINE,$
	N5O4_LINE,$
	N5O5_LINE,$
	N5O6_LINE,$
	N5O7_LINE,$
	N5P1_LINE,$
	N5P2_LINE,$
	N5P3_LINE,$
	N5P4_LINE,$
	N5P5_LINE,$
	N6N7_LINE,$
	N6O1_LINE,$
	N6O2_LINE,$
	N6O3_LINE,$
	N6O4_LINE,$
	N6O5_LINE,$
	N6O6_LINE,$
	N6O7_LINE,$
	N6P1_LINE,$
	N6P2_LINE,$
	N6P3_LINE,$
	N6P4_LINE,$
	N6P5_LINE,$
	N7O1_LINE,$
	N7O2_LINE,$
	N7O3_LINE,$
	N7O4_LINE,$
	N7O5_LINE,$
	N7O6_LINE,$
	N7O7_LINE,$
	N7P1_LINE,$
	N7P2_LINE,$
	N7P3_LINE,$
	N7P4_LINE,$
	N7P5_LINE,$
	O1O2_LINE,$
	O1O3_LINE,$
	O1O4_LINE,$
	O1O5_LINE,$
	O1O6_LINE,$
	O1O7_LINE,$
	O1P1_LINE,$
	O1P2_LINE,$
	O1P3_LINE,$
	O1P4_LINE,$
	O1P5_LINE,$
	O2O3_LINE,$
	O2O4_LINE,$
	O2O5_LINE,$
	O2O6_LINE,$
	O2O7_LINE,$
	O2P1_LINE,$
	O2P2_LINE,$
	O2P3_LINE,$
	O2P4_LINE,$
	O2P5_LINE,$
	O3O4_LINE,$
	O3O5_LINE,$
	O3O6_LINE,$
	O3O7_LINE,$
	O3P1_LINE,$
	O3P2_LINE,$
	O3P3_LINE,$
	O3P4_LINE,$
	O3P5_LINE,$
	O4O5_LINE,$
	O4O6_LINE,$
	O4O7_LINE,$
	O4P1_LINE,$
	O4P2_LINE,$
	O4P3_LINE,$
	O4P4_LINE,$
	O4P5_LINE,$
	O5O6_LINE,$
	O5O7_LINE,$
	O5P1_LINE,$
	O5P2_LINE,$
	O5P3_LINE,$
	O5P4_LINE,$
	O5P5_LINE,$
	O6O7_LINE,$
	O6P4_LINE,$
	O6P5_LINE,$
	O7P4_LINE,$
	O7P5_LINE,$
	P1P2_LINE,$
	P1P3_LINE,$
	P1P4_LINE,$
	P1P5_LINE,$
	P2P3_LINE,$
	P2P4_LINE,$
	P2P5_LINE,$
	P3P4_LINE,$
	P3P5_LINE,$
	F1_TRANS,$
	F12_TRANS,$
	F13_TRANS,$
	FP13_TRANS,$
	F23_TRANS,$
	FL12_TRANS,$
	FL13_TRANS,$
	FLP13_TRANS,$
	FL23_TRANS,$
	FM12_TRANS,$
	FM13_TRANS,$
	FM14_TRANS,$
	FM15_TRANS,$
	FM23_TRANS,$
	FM24_TRANS,$
	FM25_TRANS,$
	FM34_TRANS,$
	FM35_TRANS,$
	FM45_TRANS,$
	K_SHELL,$
	L1_SHELL,$
	L2_SHELL,$
	L3_SHELL,$
	M1_SHELL,$
	M2_SHELL,$
	M3_SHELL,$
	M4_SHELL,$
	M5_SHELL,$
	N1_SHELL,$
	N2_SHELL,$
	N3_SHELL,$
	N4_SHELL,$
	N5_SHELL,$
	N6_SHELL,$
	N7_SHELL,$
	O1_SHELL,$
	O2_SHELL,$
	O3_SHELL,$
	O4_SHELL,$
	O5_SHELL,$
	O6_SHELL,$
	O7_SHELL,$
	P1_SHELL,$
	P2_SHELL,$
	P3_SHELL,$
	P4_SHELL,$
	P5_SHELL,$
	Q1_SHELL,$
	Q2_SHELL,$
	Q3_SHELL,$
	K_L1L1_AUGER,$
	K_L1L2_AUGER,$
	K_L1L3_AUGER,$
	K_L1M1_AUGER,$
	K_L1M2_AUGER,$
	K_L1M3_AUGER,$
	K_L1M4_AUGER,$
	K_L1M5_AUGER,$
	K_L1N1_AUGER,$
	K_L1N2_AUGER,$
	K_L1N3_AUGER,$
	K_L1N4_AUGER,$
	K_L1N5_AUGER,$
	K_L1N6_AUGER,$
	K_L1N7_AUGER,$
	K_L1O1_AUGER,$
	K_L1O2_AUGER,$
	K_L1O3_AUGER,$
	K_L1O4_AUGER,$
	K_L1O5_AUGER,$
	K_L1O6_AUGER,$
	K_L1O7_AUGER,$
	K_L1P1_AUGER,$
	K_L1P2_AUGER,$
	K_L1P3_AUGER,$
	K_L1P4_AUGER,$
	K_L1P5_AUGER,$
	K_L1Q1_AUGER,$
	K_L1Q2_AUGER,$
	K_L1Q3_AUGER,$
	K_L2L1_AUGER,$
	K_L2L2_AUGER,$
	K_L2L3_AUGER,$
	K_L2M1_AUGER,$
	K_L2M2_AUGER,$
	K_L2M3_AUGER,$
	K_L2M4_AUGER,$
	K_L2M5_AUGER,$
	K_L2N1_AUGER,$
	K_L2N2_AUGER,$
	K_L2N3_AUGER,$
	K_L2N4_AUGER,$
	K_L2N5_AUGER,$
	K_L2N6_AUGER,$
	K_L2N7_AUGER,$
	K_L2O1_AUGER,$
	K_L2O2_AUGER,$
	K_L2O3_AUGER,$
	K_L2O4_AUGER,$
	K_L2O5_AUGER,$
	K_L2O6_AUGER,$
	K_L2O7_AUGER,$
	K_L2P1_AUGER,$
	K_L2P2_AUGER,$
	K_L2P3_AUGER,$
	K_L2P4_AUGER,$
	K_L2P5_AUGER,$
	K_L2Q1_AUGER,$
	K_L2Q2_AUGER,$
	K_L2Q3_AUGER,$
	K_L3L1_AUGER,$
	K_L3L2_AUGER,$
	K_L3L3_AUGER,$
	K_L3M1_AUGER,$
	K_L3M2_AUGER,$
	K_L3M3_AUGER,$
	K_L3M4_AUGER,$
	K_L3M5_AUGER,$
	K_L3N1_AUGER,$
	K_L3N2_AUGER,$
	K_L3N3_AUGER,$
	K_L3N4_AUGER,$
	K_L3N5_AUGER,$
	K_L3N6_AUGER,$
	K_L3N7_AUGER,$
	K_L3O1_AUGER,$
	K_L3O2_AUGER,$
	K_L3O3_AUGER,$
	K_L3O4_AUGER,$
	K_L3O5_AUGER,$
	K_L3O6_AUGER,$
	K_L3O7_AUGER,$
	K_L3P1_AUGER,$
	K_L3P2_AUGER,$
	K_L3P3_AUGER,$
	K_L3P4_AUGER,$
	K_L3P5_AUGER,$
	K_L3Q1_AUGER,$
	K_L3Q2_AUGER,$
	K_L3Q3_AUGER,$
	K_M1L1_AUGER,$
	K_M1L2_AUGER,$
	K_M1L3_AUGER,$
	K_M1M1_AUGER,$
	K_M1M2_AUGER,$
	K_M1M3_AUGER,$
	K_M1M4_AUGER,$
	K_M1M5_AUGER,$
	K_M1N1_AUGER,$
	K_M1N2_AUGER,$
	K_M1N3_AUGER,$
	K_M1N4_AUGER,$
	K_M1N5_AUGER,$
	K_M1N6_AUGER,$
	K_M1N7_AUGER,$
	K_M1O1_AUGER,$
	K_M1O2_AUGER,$
	K_M1O3_AUGER,$
	K_M1O4_AUGER,$
	K_M1O5_AUGER,$
	K_M1O6_AUGER,$
	K_M1O7_AUGER,$
	K_M1P1_AUGER,$
	K_M1P2_AUGER,$
	K_M1P3_AUGER,$
	K_M1P4_AUGER,$
	K_M1P5_AUGER,$
	K_M1Q1_AUGER,$
	K_M1Q2_AUGER,$
	K_M1Q3_AUGER,$
	K_M2L1_AUGER,$
	K_M2L2_AUGER,$
	K_M2L3_AUGER,$
	K_M2M1_AUGER,$
	K_M2M2_AUGER,$
	K_M2M3_AUGER,$
	K_M2M4_AUGER,$
	K_M2M5_AUGER,$
	K_M2N1_AUGER,$
	K_M2N2_AUGER,$
	K_M2N3_AUGER,$
	K_M2N4_AUGER,$
	K_M2N5_AUGER,$
	K_M2N6_AUGER,$
	K_M2N7_AUGER,$
	K_M2O1_AUGER,$
	K_M2O2_AUGER,$
	K_M2O3_AUGER,$
	K_M2O4_AUGER,$
	K_M2O5_AUGER,$
	K_M2O6_AUGER,$
	K_M2O7_AUGER,$
	K_M2P1_AUGER,$
	K_M2P2_AUGER,$
	K_M2P3_AUGER,$
	K_M2P4_AUGER,$
	K_M2P5_AUGER,$
	K_M2Q1_AUGER,$
	K_M2Q2_AUGER,$
	K_M2Q3_AUGER,$
	K_M3L1_AUGER,$
	K_M3L2_AUGER,$
	K_M3L3_AUGER,$
	K_M3M1_AUGER,$
	K_M3M2_AUGER,$
	K_M3M3_AUGER,$
	K_M3M4_AUGER,$
	K_M3M5_AUGER,$
	K_M3N1_AUGER,$
	K_M3N2_AUGER,$
	K_M3N3_AUGER,$
	K_M3N4_AUGER,$
	K_M3N5_AUGER,$
	K_M3N6_AUGER,$
	K_M3N7_AUGER,$
	K_M3O1_AUGER,$
	K_M3O2_AUGER,$
	K_M3O3_AUGER,$
	K_M3O4_AUGER,$
	K_M3O5_AUGER,$
	K_M3O6_AUGER,$
	K_M3O7_AUGER,$
	K_M3P1_AUGER,$
	K_M3P2_AUGER,$
	K_M3P3_AUGER,$
	K_M3P4_AUGER,$
	K_M3P5_AUGER,$
	K_M3Q1_AUGER,$
	K_M3Q2_AUGER,$
	K_M3Q3_AUGER,$
	K_M4L1_AUGER,$
	K_M4L2_AUGER,$
	K_M4L3_AUGER,$
	K_M4M1_AUGER,$
	K_M4M2_AUGER,$
	K_M4M3_AUGER,$
	K_M4M4_AUGER,$
	K_M4M5_AUGER,$
	K_M4N1_AUGER,$
	K_M4N2_AUGER,$
	K_M4N3_AUGER,$
	K_M4N4_AUGER,$
	K_M4N5_AUGER,$
	K_M4N6_AUGER,$
	K_M4N7_AUGER,$
	K_M4O1_AUGER,$
	K_M4O2_AUGER,$
	K_M4O3_AUGER,$
	K_M4O4_AUGER,$
	K_M4O5_AUGER,$
	K_M4O6_AUGER,$
	K_M4O7_AUGER,$
	K_M4P1_AUGER,$
	K_M4P2_AUGER,$
	K_M4P3_AUGER,$
	K_M4P4_AUGER,$
	K_M4P5_AUGER,$
	K_M4Q1_AUGER,$
	K_M4Q2_AUGER,$
	K_M4Q3_AUGER,$
	K_M5L1_AUGER,$
	K_M5L2_AUGER,$
	K_M5L3_AUGER,$
	K_M5M1_AUGER,$
	K_M5M2_AUGER,$
	K_M5M3_AUGER,$
	K_M5M4_AUGER,$
	K_M5M5_AUGER,$
	K_M5N1_AUGER,$
	K_M5N2_AUGER,$
	K_M5N3_AUGER,$
	K_M5N4_AUGER,$
	K_M5N5_AUGER,$
	K_M5N6_AUGER,$
	K_M5N7_AUGER,$
	K_M5O1_AUGER,$
	K_M5O2_AUGER,$
	K_M5O3_AUGER,$
	K_M5O4_AUGER,$
	K_M5O5_AUGER,$
	K_M5O6_AUGER,$
	K_M5O7_AUGER,$
	K_M5P1_AUGER,$
	K_M5P2_AUGER,$
	K_M5P3_AUGER,$
	K_M5P4_AUGER,$
	K_M5P5_AUGER,$
	K_M5Q1_AUGER,$
	K_M5Q2_AUGER,$
	K_M5Q3_AUGER,$
	L1_L2L2_AUGER,$
	L1_L2L3_AUGER,$
	L1_L2M1_AUGER,$
	L1_L2M2_AUGER,$
	L1_L2M3_AUGER,$
	L1_L2M4_AUGER,$
	L1_L2M5_AUGER,$
	L1_L2N1_AUGER,$
	L1_L2N2_AUGER,$
	L1_L2N3_AUGER,$
	L1_L2N4_AUGER,$
	L1_L2N5_AUGER,$
	L1_L2N6_AUGER,$
	L1_L2N7_AUGER,$
	L1_L2O1_AUGER,$
	L1_L2O2_AUGER,$
	L1_L2O3_AUGER,$
	L1_L2O4_AUGER,$
	L1_L2O5_AUGER,$
	L1_L2O6_AUGER,$
	L1_L2O7_AUGER,$
	L1_L2P1_AUGER,$
	L1_L2P2_AUGER,$
	L1_L2P3_AUGER,$
	L1_L2P4_AUGER,$
	L1_L2P5_AUGER,$
	L1_L2Q1_AUGER,$
	L1_L2Q2_AUGER,$
	L1_L2Q3_AUGER,$
	L1_L3L2_AUGER,$
	L1_L3L3_AUGER,$
	L1_L3M1_AUGER,$
	L1_L3M2_AUGER,$
	L1_L3M3_AUGER,$
	L1_L3M4_AUGER,$
	L1_L3M5_AUGER,$
	L1_L3N1_AUGER,$
	L1_L3N2_AUGER,$
	L1_L3N3_AUGER,$
	L1_L3N4_AUGER,$
	L1_L3N5_AUGER,$
	L1_L3N6_AUGER,$
	L1_L3N7_AUGER,$
	L1_L3O1_AUGER,$
	L1_L3O2_AUGER,$
	L1_L3O3_AUGER,$
	L1_L3O4_AUGER,$
	L1_L3O5_AUGER,$
	L1_L3O6_AUGER,$
	L1_L3O7_AUGER,$
	L1_L3P1_AUGER,$
	L1_L3P2_AUGER,$
	L1_L3P3_AUGER,$
	L1_L3P4_AUGER,$
	L1_L3P5_AUGER,$
	L1_L3Q1_AUGER,$
	L1_L3Q2_AUGER,$
	L1_L3Q3_AUGER,$
	L1_M1L2_AUGER,$
	L1_M1L3_AUGER,$
	L1_M1M1_AUGER,$
	L1_M1M2_AUGER,$
	L1_M1M3_AUGER,$
	L1_M1M4_AUGER,$
	L1_M1M5_AUGER,$
	L1_M1N1_AUGER,$
	L1_M1N2_AUGER,$
	L1_M1N3_AUGER,$
	L1_M1N4_AUGER,$
	L1_M1N5_AUGER,$
	L1_M1N6_AUGER,$
	L1_M1N7_AUGER,$
	L1_M1O1_AUGER,$
	L1_M1O2_AUGER,$
	L1_M1O3_AUGER,$
	L1_M1O4_AUGER,$
	L1_M1O5_AUGER,$
	L1_M1O6_AUGER,$
	L1_M1O7_AUGER,$
	L1_M1P1_AUGER,$
	L1_M1P2_AUGER,$
	L1_M1P3_AUGER,$
	L1_M1P4_AUGER,$
	L1_M1P5_AUGER,$
	L1_M1Q1_AUGER,$
	L1_M1Q2_AUGER,$
	L1_M1Q3_AUGER,$
	L1_M2L2_AUGER,$
	L1_M2L3_AUGER,$
	L1_M2M1_AUGER,$
	L1_M2M2_AUGER,$
	L1_M2M3_AUGER,$
	L1_M2M4_AUGER,$
	L1_M2M5_AUGER,$
	L1_M2N1_AUGER,$
	L1_M2N2_AUGER,$
	L1_M2N3_AUGER,$
	L1_M2N4_AUGER,$
	L1_M2N5_AUGER,$
	L1_M2N6_AUGER,$
	L1_M2N7_AUGER,$
	L1_M2O1_AUGER,$
	L1_M2O2_AUGER,$
	L1_M2O3_AUGER,$
	L1_M2O4_AUGER,$
	L1_M2O5_AUGER,$
	L1_M2O6_AUGER,$
	L1_M2O7_AUGER,$
	L1_M2P1_AUGER,$
	L1_M2P2_AUGER,$
	L1_M2P3_AUGER,$
	L1_M2P4_AUGER,$
	L1_M2P5_AUGER,$
	L1_M2Q1_AUGER,$
	L1_M2Q2_AUGER,$
	L1_M2Q3_AUGER,$
	L1_M3L2_AUGER,$
	L1_M3L3_AUGER,$
	L1_M3M1_AUGER,$
	L1_M3M2_AUGER,$
	L1_M3M3_AUGER,$
	L1_M3M4_AUGER,$
	L1_M3M5_AUGER,$
	L1_M3N1_AUGER,$
	L1_M3N2_AUGER,$
	L1_M3N3_AUGER,$
	L1_M3N4_AUGER,$
	L1_M3N5_AUGER,$
	L1_M3N6_AUGER,$
	L1_M3N7_AUGER,$
	L1_M3O1_AUGER,$
	L1_M3O2_AUGER,$
	L1_M3O3_AUGER,$
	L1_M3O4_AUGER,$
	L1_M3O5_AUGER,$
	L1_M3O6_AUGER,$
	L1_M3O7_AUGER,$
	L1_M3P1_AUGER,$
	L1_M3P2_AUGER,$
	L1_M3P3_AUGER,$
	L1_M3P4_AUGER,$
	L1_M3P5_AUGER,$
	L1_M3Q1_AUGER,$
	L1_M3Q2_AUGER,$
	L1_M3Q3_AUGER,$
	L1_M4L2_AUGER,$
	L1_M4L3_AUGER,$
	L1_M4M1_AUGER,$
	L1_M4M2_AUGER,$
	L1_M4M3_AUGER,$
	L1_M4M4_AUGER,$
	L1_M4M5_AUGER,$
	L1_M4N1_AUGER,$
	L1_M4N2_AUGER,$
	L1_M4N3_AUGER,$
	L1_M4N4_AUGER,$
	L1_M4N5_AUGER,$
	L1_M4N6_AUGER,$
	L1_M4N7_AUGER,$
	L1_M4O1_AUGER,$
	L1_M4O2_AUGER,$
	L1_M4O3_AUGER,$
	L1_M4O4_AUGER,$
	L1_M4O5_AUGER,$
	L1_M4O6_AUGER,$
	L1_M4O7_AUGER,$
	L1_M4P1_AUGER,$
	L1_M4P2_AUGER,$
	L1_M4P3_AUGER,$
	L1_M4P4_AUGER,$
	L1_M4P5_AUGER,$
	L1_M4Q1_AUGER,$
	L1_M4Q2_AUGER,$
	L1_M4Q3_AUGER,$
	L1_M5L2_AUGER,$
	L1_M5L3_AUGER,$
	L1_M5M1_AUGER,$
	L1_M5M2_AUGER,$
	L1_M5M3_AUGER,$
	L1_M5M4_AUGER,$
	L1_M5M5_AUGER,$
	L1_M5N1_AUGER,$
	L1_M5N2_AUGER,$
	L1_M5N3_AUGER,$
	L1_M5N4_AUGER,$
	L1_M5N5_AUGER,$
	L1_M5N6_AUGER,$
	L1_M5N7_AUGER,$
	L1_M5O1_AUGER,$
	L1_M5O2_AUGER,$
	L1_M5O3_AUGER,$
	L1_M5O4_AUGER,$
	L1_M5O5_AUGER,$
	L1_M5O6_AUGER,$
	L1_M5O7_AUGER,$
	L1_M5P1_AUGER,$
	L1_M5P2_AUGER,$
	L1_M5P3_AUGER,$
	L1_M5P4_AUGER,$
	L1_M5P5_AUGER,$
	L1_M5Q1_AUGER,$
	L1_M5Q2_AUGER,$
	L1_M5Q3_AUGER,$
	L2_L3L3_AUGER,$
	L2_L3M1_AUGER,$
	L2_L3M2_AUGER,$
	L2_L3M3_AUGER,$
	L2_L3M4_AUGER,$
	L2_L3M5_AUGER,$
	L2_L3N1_AUGER,$
	L2_L3N2_AUGER,$
	L2_L3N3_AUGER,$
	L2_L3N4_AUGER,$
	L2_L3N5_AUGER,$
	L2_L3N6_AUGER,$
	L2_L3N7_AUGER,$
	L2_L3O1_AUGER,$
	L2_L3O2_AUGER,$
	L2_L3O3_AUGER,$
	L2_L3O4_AUGER,$
	L2_L3O5_AUGER,$
	L2_L3O6_AUGER,$
	L2_L3O7_AUGER,$
	L2_L3P1_AUGER,$
	L2_L3P2_AUGER,$
	L2_L3P3_AUGER,$
	L2_L3P4_AUGER,$
	L2_L3P5_AUGER,$
	L2_L3Q1_AUGER,$
	L2_L3Q2_AUGER,$
	L2_L3Q3_AUGER,$
	L2_M1L3_AUGER,$
	L2_M1M1_AUGER,$
	L2_M1M2_AUGER,$
	L2_M1M3_AUGER,$
	L2_M1M4_AUGER,$
	L2_M1M5_AUGER,$
	L2_M1N1_AUGER,$
	L2_M1N2_AUGER,$
	L2_M1N3_AUGER,$
	L2_M1N4_AUGER,$
	L2_M1N5_AUGER,$
	L2_M1N6_AUGER,$
	L2_M1N7_AUGER,$
	L2_M1O1_AUGER,$
	L2_M1O2_AUGER,$
	L2_M1O3_AUGER,$
	L2_M1O4_AUGER,$
	L2_M1O5_AUGER,$
	L2_M1O6_AUGER,$
	L2_M1O7_AUGER,$
	L2_M1P1_AUGER,$
	L2_M1P2_AUGER,$
	L2_M1P3_AUGER,$
	L2_M1P4_AUGER,$
	L2_M1P5_AUGER,$
	L2_M1Q1_AUGER,$
	L2_M1Q2_AUGER,$
	L2_M1Q3_AUGER,$
	L2_M2L3_AUGER,$
	L2_M2M1_AUGER,$
	L2_M2M2_AUGER,$
	L2_M2M3_AUGER,$
	L2_M2M4_AUGER,$
	L2_M2M5_AUGER,$
	L2_M2N1_AUGER,$
	L2_M2N2_AUGER,$
	L2_M2N3_AUGER,$
	L2_M2N4_AUGER,$
	L2_M2N5_AUGER,$
	L2_M2N6_AUGER,$
	L2_M2N7_AUGER,$
	L2_M2O1_AUGER,$
	L2_M2O2_AUGER,$
	L2_M2O3_AUGER,$
	L2_M2O4_AUGER,$
	L2_M2O5_AUGER,$
	L2_M2O6_AUGER,$
	L2_M2O7_AUGER,$
	L2_M2P1_AUGER,$
	L2_M2P2_AUGER,$
	L2_M2P3_AUGER,$
	L2_M2P4_AUGER,$
	L2_M2P5_AUGER,$
	L2_M2Q1_AUGER,$
	L2_M2Q2_AUGER,$
	L2_M2Q3_AUGER,$
	L2_M3L3_AUGER,$
	L2_M3M1_AUGER,$
	L2_M3M2_AUGER,$
	L2_M3M3_AUGER,$
	L2_M3M4_AUGER,$
	L2_M3M5_AUGER,$
	L2_M3N1_AUGER,$
	L2_M3N2_AUGER,$
	L2_M3N3_AUGER,$
	L2_M3N4_AUGER,$
	L2_M3N5_AUGER,$
	L2_M3N6_AUGER,$
	L2_M3N7_AUGER,$
	L2_M3O1_AUGER,$
	L2_M3O2_AUGER,$
	L2_M3O3_AUGER,$
	L2_M3O4_AUGER,$
	L2_M3O5_AUGER,$
	L2_M3O6_AUGER,$
	L2_M3O7_AUGER,$
	L2_M3P1_AUGER,$
	L2_M3P2_AUGER,$
	L2_M3P3_AUGER,$
	L2_M3P4_AUGER,$
	L2_M3P5_AUGER,$
	L2_M3Q1_AUGER,$
	L2_M3Q2_AUGER,$
	L2_M3Q3_AUGER,$
	L2_M4L3_AUGER,$
	L2_M4M1_AUGER,$
	L2_M4M2_AUGER,$
	L2_M4M3_AUGER,$
	L2_M4M4_AUGER,$
	L2_M4M5_AUGER,$
	L2_M4N1_AUGER,$
	L2_M4N2_AUGER,$
	L2_M4N3_AUGER,$
	L2_M4N4_AUGER,$
	L2_M4N5_AUGER,$
	L2_M4N6_AUGER,$
	L2_M4N7_AUGER,$
	L2_M4O1_AUGER,$
	L2_M4O2_AUGER,$
	L2_M4O3_AUGER,$
	L2_M4O4_AUGER,$
	L2_M4O5_AUGER,$
	L2_M4O6_AUGER,$
	L2_M4O7_AUGER,$
	L2_M4P1_AUGER,$
	L2_M4P2_AUGER,$
	L2_M4P3_AUGER,$
	L2_M4P4_AUGER,$
	L2_M4P5_AUGER,$
	L2_M4Q1_AUGER,$
	L2_M4Q2_AUGER,$
	L2_M4Q3_AUGER,$
	L2_M5L3_AUGER,$
	L2_M5M1_AUGER,$
	L2_M5M2_AUGER,$
	L2_M5M3_AUGER,$
	L2_M5M4_AUGER,$
	L2_M5M5_AUGER,$
	L2_M5N1_AUGER,$
	L2_M5N2_AUGER,$
	L2_M5N3_AUGER,$
	L2_M5N4_AUGER,$
	L2_M5N5_AUGER,$
	L2_M5N6_AUGER,$
	L2_M5N7_AUGER,$
	L2_M5O1_AUGER,$
	L2_M5O2_AUGER,$
	L2_M5O3_AUGER,$
	L2_M5O4_AUGER,$
	L2_M5O5_AUGER,$
	L2_M5O6_AUGER,$
	L2_M5O7_AUGER,$
	L2_M5P1_AUGER,$
	L2_M5P2_AUGER,$
	L2_M5P3_AUGER,$
	L2_M5P4_AUGER,$
	L2_M5P5_AUGER,$
	L2_M5Q1_AUGER,$
	L2_M5Q2_AUGER,$
	L2_M5Q3_AUGER,$
	L3_M1M1_AUGER,$
	L3_M1M2_AUGER,$
	L3_M1M3_AUGER,$
	L3_M1M4_AUGER,$
	L3_M1M5_AUGER,$
	L3_M1N1_AUGER,$
	L3_M1N2_AUGER,$
	L3_M1N3_AUGER,$
	L3_M1N4_AUGER,$
	L3_M1N5_AUGER,$
	L3_M1N6_AUGER,$
	L3_M1N7_AUGER,$
	L3_M1O1_AUGER,$
	L3_M1O2_AUGER,$
	L3_M1O3_AUGER,$
	L3_M1O4_AUGER,$
	L3_M1O5_AUGER,$
	L3_M1O6_AUGER,$
	L3_M1O7_AUGER,$
	L3_M1P1_AUGER,$
	L3_M1P2_AUGER,$
	L3_M1P3_AUGER,$
	L3_M1P4_AUGER,$
	L3_M1P5_AUGER,$
	L3_M1Q1_AUGER,$
	L3_M1Q2_AUGER,$
	L3_M1Q3_AUGER,$
	L3_M2M1_AUGER,$
	L3_M2M2_AUGER,$
	L3_M2M3_AUGER,$
	L3_M2M4_AUGER,$
	L3_M2M5_AUGER,$
	L3_M2N1_AUGER,$
	L3_M2N2_AUGER,$
	L3_M2N3_AUGER,$
	L3_M2N4_AUGER,$
	L3_M2N5_AUGER,$
	L3_M2N6_AUGER,$
	L3_M2N7_AUGER,$
	L3_M2O1_AUGER,$
	L3_M2O2_AUGER,$
	L3_M2O3_AUGER,$
	L3_M2O4_AUGER,$
	L3_M2O5_AUGER,$
	L3_M2O6_AUGER,$
	L3_M2O7_AUGER,$
	L3_M2P1_AUGER,$
	L3_M2P2_AUGER,$
	L3_M2P3_AUGER,$
	L3_M2P4_AUGER,$
	L3_M2P5_AUGER,$
	L3_M2Q1_AUGER,$
	L3_M2Q2_AUGER,$
	L3_M2Q3_AUGER,$
	L3_M3M1_AUGER,$
	L3_M3M2_AUGER,$
	L3_M3M3_AUGER,$
	L3_M3M4_AUGER,$
	L3_M3M5_AUGER,$
	L3_M3N1_AUGER,$
	L3_M3N2_AUGER,$
	L3_M3N3_AUGER,$
	L3_M3N4_AUGER,$
	L3_M3N5_AUGER,$
	L3_M3N6_AUGER,$
	L3_M3N7_AUGER,$
	L3_M3O1_AUGER,$
	L3_M3O2_AUGER,$
	L3_M3O3_AUGER,$
	L3_M3O4_AUGER,$
	L3_M3O5_AUGER,$
	L3_M3O6_AUGER,$
	L3_M3O7_AUGER,$
	L3_M3P1_AUGER,$
	L3_M3P2_AUGER,$
	L3_M3P3_AUGER,$
	L3_M3P4_AUGER,$
	L3_M3P5_AUGER,$
	L3_M3Q1_AUGER,$
	L3_M3Q2_AUGER,$
	L3_M3Q3_AUGER,$
	L3_M4M1_AUGER,$
	L3_M4M2_AUGER,$
	L3_M4M3_AUGER,$
	L3_M4M4_AUGER,$
	L3_M4M5_AUGER,$
	L3_M4N1_AUGER,$
	L3_M4N2_AUGER,$
	L3_M4N3_AUGER,$
	L3_M4N4_AUGER,$
	L3_M4N5_AUGER,$
	L3_M4N6_AUGER,$
	L3_M4N7_AUGER,$
	L3_M4O1_AUGER,$
	L3_M4O2_AUGER,$
	L3_M4O3_AUGER,$
	L3_M4O4_AUGER,$
	L3_M4O5_AUGER,$
	L3_M4O6_AUGER,$
	L3_M4O7_AUGER,$
	L3_M4P1_AUGER,$
	L3_M4P2_AUGER,$
	L3_M4P3_AUGER,$
	L3_M4P4_AUGER,$
	L3_M4P5_AUGER,$
	L3_M4Q1_AUGER,$
	L3_M4Q2_AUGER,$
	L3_M4Q3_AUGER,$
	L3_M5M1_AUGER,$
	L3_M5M2_AUGER,$
	L3_M5M3_AUGER,$
	L3_M5M4_AUGER,$
	L3_M5M5_AUGER,$
	L3_M5N1_AUGER,$
	L3_M5N2_AUGER,$
	L3_M5N3_AUGER,$
	L3_M5N4_AUGER,$
	L3_M5N5_AUGER,$
	L3_M5N6_AUGER,$
	L3_M5N7_AUGER,$
	L3_M5O1_AUGER,$
	L3_M5O2_AUGER,$
	L3_M5O3_AUGER,$
	L3_M5O4_AUGER,$
	L3_M5O5_AUGER,$
	L3_M5O6_AUGER,$
	L3_M5O7_AUGER,$
	L3_M5P1_AUGER,$
	L3_M5P2_AUGER,$
	L3_M5P3_AUGER,$
	L3_M5P4_AUGER,$
	L3_M5P5_AUGER,$
	L3_M5Q1_AUGER,$
	L3_M5Q2_AUGER,$
	L3_M5Q3_AUGER,$
	M1_M2M2_AUGER,$
	M1_M2M3_AUGER,$
	M1_M2M4_AUGER,$
	M1_M2M5_AUGER,$
	M1_M2N1_AUGER,$
	M1_M2N2_AUGER,$
	M1_M2N3_AUGER,$
	M1_M2N4_AUGER,$
	M1_M2N5_AUGER,$
	M1_M2N6_AUGER,$
	M1_M2N7_AUGER,$
	M1_M2O1_AUGER,$
	M1_M2O2_AUGER,$
	M1_M2O3_AUGER,$
	M1_M2O4_AUGER,$
	M1_M2O5_AUGER,$
	M1_M2O6_AUGER,$
	M1_M2O7_AUGER,$
	M1_M2P1_AUGER,$
	M1_M2P2_AUGER,$
	M1_M2P3_AUGER,$
	M1_M2P4_AUGER,$
	M1_M2P5_AUGER,$
	M1_M2Q1_AUGER,$
	M1_M2Q2_AUGER,$
	M1_M2Q3_AUGER,$
	M1_M3M2_AUGER,$
	M1_M3M3_AUGER,$
	M1_M3M4_AUGER,$
	M1_M3M5_AUGER,$
	M1_M3N1_AUGER,$
	M1_M3N2_AUGER,$
	M1_M3N3_AUGER,$
	M1_M3N4_AUGER,$
	M1_M3N5_AUGER,$
	M1_M3N6_AUGER,$
	M1_M3N7_AUGER,$
	M1_M3O1_AUGER,$
	M1_M3O2_AUGER,$
	M1_M3O3_AUGER,$
	M1_M3O4_AUGER,$
	M1_M3O5_AUGER,$
	M1_M3O6_AUGER,$
	M1_M3O7_AUGER,$
	M1_M3P1_AUGER,$
	M1_M3P2_AUGER,$
	M1_M3P3_AUGER,$
	M1_M3P4_AUGER,$
	M1_M3P5_AUGER,$
	M1_M3Q1_AUGER,$
	M1_M3Q2_AUGER,$
	M1_M3Q3_AUGER,$
	M1_M4M2_AUGER,$
	M1_M4M3_AUGER,$
	M1_M4M4_AUGER,$
	M1_M4M5_AUGER,$
	M1_M4N1_AUGER,$
	M1_M4N2_AUGER,$
	M1_M4N3_AUGER,$
	M1_M4N4_AUGER,$
	M1_M4N5_AUGER,$
	M1_M4N6_AUGER,$
	M1_M4N7_AUGER,$
	M1_M4O1_AUGER,$
	M1_M4O2_AUGER,$
	M1_M4O3_AUGER,$
	M1_M4O4_AUGER,$
	M1_M4O5_AUGER,$
	M1_M4O6_AUGER,$
	M1_M4O7_AUGER,$
	M1_M4P1_AUGER,$
	M1_M4P2_AUGER,$
	M1_M4P3_AUGER,$
	M1_M4P4_AUGER,$
	M1_M4P5_AUGER,$
	M1_M4Q1_AUGER,$
	M1_M4Q2_AUGER,$
	M1_M4Q3_AUGER,$
	M1_M5M2_AUGER,$
	M1_M5M3_AUGER,$
	M1_M5M4_AUGER,$
	M1_M5M5_AUGER,$
	M1_M5N1_AUGER,$
	M1_M5N2_AUGER,$
	M1_M5N3_AUGER,$
	M1_M5N4_AUGER,$
	M1_M5N5_AUGER,$
	M1_M5N6_AUGER,$
	M1_M5N7_AUGER,$
	M1_M5O1_AUGER,$
	M1_M5O2_AUGER,$
	M1_M5O3_AUGER,$
	M1_M5O4_AUGER,$
	M1_M5O5_AUGER,$
	M1_M5O6_AUGER,$
	M1_M5O7_AUGER,$
	M1_M5P1_AUGER,$
	M1_M5P2_AUGER,$
	M1_M5P3_AUGER,$
	M1_M5P4_AUGER,$
	M1_M5P5_AUGER,$
	M1_M5Q1_AUGER,$
	M1_M5Q2_AUGER,$
	M1_M5Q3_AUGER,$
	M2_M3M3_AUGER,$
	M2_M3M4_AUGER,$
	M2_M3M5_AUGER,$
	M2_M3N1_AUGER,$
	M2_M3N2_AUGER,$
	M2_M3N3_AUGER,$
	M2_M3N4_AUGER,$
	M2_M3N5_AUGER,$
	M2_M3N6_AUGER,$
	M2_M3N7_AUGER,$
	M2_M3O1_AUGER,$
	M2_M3O2_AUGER,$
	M2_M3O3_AUGER,$
	M2_M3O4_AUGER,$
	M2_M3O5_AUGER,$
	M2_M3O6_AUGER,$
	M2_M3O7_AUGER,$
	M2_M3P1_AUGER,$
	M2_M3P2_AUGER,$
	M2_M3P3_AUGER,$
	M2_M3P4_AUGER,$
	M2_M3P5_AUGER,$
	M2_M3Q1_AUGER,$
	M2_M3Q2_AUGER,$
	M2_M3Q3_AUGER,$
	M2_M4M3_AUGER,$
	M2_M4M4_AUGER,$
	M2_M4M5_AUGER,$
	M2_M4N1_AUGER,$
	M2_M4N2_AUGER,$
	M2_M4N3_AUGER,$
	M2_M4N4_AUGER,$
	M2_M4N5_AUGER,$
	M2_M4N6_AUGER,$
	M2_M4N7_AUGER,$
	M2_M4O1_AUGER,$
	M2_M4O2_AUGER,$
	M2_M4O3_AUGER,$
	M2_M4O4_AUGER,$
	M2_M4O5_AUGER,$
	M2_M4O6_AUGER,$
	M2_M4O7_AUGER,$
	M2_M4P1_AUGER,$
	M2_M4P2_AUGER,$
	M2_M4P3_AUGER,$
	M2_M4P4_AUGER,$
	M2_M4P5_AUGER,$
	M2_M4Q1_AUGER,$
	M2_M4Q2_AUGER,$
	M2_M4Q3_AUGER,$
	M2_M5M3_AUGER,$
	M2_M5M4_AUGER,$
	M2_M5M5_AUGER,$
	M2_M5N1_AUGER,$
	M2_M5N2_AUGER,$
	M2_M5N3_AUGER,$
	M2_M5N4_AUGER,$
	M2_M5N5_AUGER,$
	M2_M5N6_AUGER,$
	M2_M5N7_AUGER,$
	M2_M5O1_AUGER,$
	M2_M5O2_AUGER,$
	M2_M5O3_AUGER,$
	M2_M5O4_AUGER,$
	M2_M5O5_AUGER,$
	M2_M5O6_AUGER,$
	M2_M5O7_AUGER,$
	M2_M5P1_AUGER,$
	M2_M5P2_AUGER,$
	M2_M5P3_AUGER,$
	M2_M5P4_AUGER,$
	M2_M5P5_AUGER,$
	M2_M5Q1_AUGER,$
	M2_M5Q2_AUGER,$
	M2_M5Q3_AUGER,$
	M3_M4M4_AUGER,$
	M3_M4M5_AUGER,$
	M3_M4N1_AUGER,$
	M3_M4N2_AUGER,$
	M3_M4N3_AUGER,$
	M3_M4N4_AUGER,$
	M3_M4N5_AUGER,$
	M3_M4N6_AUGER,$
	M3_M4N7_AUGER,$
	M3_M4O1_AUGER,$
	M3_M4O2_AUGER,$
	M3_M4O3_AUGER,$
	M3_M4O4_AUGER,$
	M3_M4O5_AUGER,$
	M3_M4O6_AUGER,$
	M3_M4O7_AUGER,$
	M3_M4P1_AUGER,$
	M3_M4P2_AUGER,$
	M3_M4P3_AUGER,$
	M3_M4P4_AUGER,$
	M3_M4P5_AUGER,$
	M3_M4Q1_AUGER,$
	M3_M4Q2_AUGER,$
	M3_M4Q3_AUGER,$
	M3_M5M4_AUGER,$
	M3_M5M5_AUGER,$
	M3_M5N1_AUGER,$
	M3_M5N2_AUGER,$
	M3_M5N3_AUGER,$
	M3_M5N4_AUGER,$
	M3_M5N5_AUGER,$
	M3_M5N6_AUGER,$
	M3_M5N7_AUGER,$
	M3_M5O1_AUGER,$
	M3_M5O2_AUGER,$
	M3_M5O3_AUGER,$
	M3_M5O4_AUGER,$
	M3_M5O5_AUGER,$
	M3_M5O6_AUGER,$
	M3_M5O7_AUGER,$
	M3_M5P1_AUGER,$
	M3_M5P2_AUGER,$
	M3_M5P3_AUGER,$
	M3_M5P4_AUGER,$
	M3_M5P5_AUGER,$
	M3_M5Q1_AUGER,$
	M3_M5Q2_AUGER,$
	M3_M5Q3_AUGER,$
	M4_M5M5_AUGER,$
	M4_M5N1_AUGER,$
	M4_M5N2_AUGER,$
	M4_M5N3_AUGER,$
	M4_M5N4_AUGER,$
	M4_M5N5_AUGER,$
	M4_M5N6_AUGER,$
	M4_M5N7_AUGER,$
	M4_M5O1_AUGER,$
	M4_M5O2_AUGER,$
	M4_M5O3_AUGER,$
	M4_M5O4_AUGER,$
	M4_M5O5_AUGER,$
	M4_M5O6_AUGER,$
	M4_M5O7_AUGER,$
	M4_M5P1_AUGER,$
	M4_M5P2_AUGER,$
	M4_M5P3_AUGER,$
	M4_M5P4_AUGER,$
	M4_M5P5_AUGER,$
	M4_M5Q1_AUGER,$
	M4_M5Q2_AUGER,$
	M4_M5Q3_AUGER,$
	NIST_COMPOUND_A_150_TISSUE_EQUIVALENT_PLASTIC,$
	NIST_COMPOUND_ACETONE,$
	NIST_COMPOUND_ACETYLENE,$
	NIST_COMPOUND_ADENINE,$
	NIST_COMPOUND_ADIPOSE_TISSUE_ICRP,$
	NIST_COMPOUND_AIR_DRY_NEAR_SEA_LEVEL,$
	NIST_COMPOUND_ALANINE,$
	NIST_COMPOUND_ALUMINUM_OXIDE,$
	NIST_COMPOUND_AMBER,$
	NIST_COMPOUND_AMMONIA,$
	NIST_COMPOUND_ANILINE,$
	NIST_COMPOUND_ANTHRACENE,$
	NIST_COMPOUND_B_100_BONE_EQUIVALENT_PLASTIC,$
	NIST_COMPOUND_BAKELITE,$
	NIST_COMPOUND_BARIUM_FLUORIDE,$
	NIST_COMPOUND_BARIUM_SULFATE,$
	NIST_COMPOUND_BENZENE,$
	NIST_COMPOUND_BERYLLIUM_OXIDE,$
	NIST_COMPOUND_BISMUTH_GERMANIUM_OXIDE,$
	NIST_COMPOUND_BLOOD_ICRP,$
	NIST_COMPOUND_BONE_COMPACT_ICRU,$
	NIST_COMPOUND_BONE_CORTICAL_ICRP,$
	NIST_COMPOUND_BORON_CARBIDE,$
	NIST_COMPOUND_BORON_OXIDE,$
	NIST_COMPOUND_BRAIN_ICRP,$
	NIST_COMPOUND_BUTANE,$
	NIST_COMPOUND_N_BUTYL_ALCOHOL,$
	NIST_COMPOUND_C_552_AIR_EQUIVALENT_PLASTIC,$
	NIST_COMPOUND_CADMIUM_TELLURIDE,$
	NIST_COMPOUND_CADMIUM_TUNGSTATE,$
	NIST_COMPOUND_CALCIUM_CARBONATE,$
	NIST_COMPOUND_CALCIUM_FLUORIDE,$
	NIST_COMPOUND_CALCIUM_OXIDE,$
	NIST_COMPOUND_CALCIUM_SULFATE,$
	NIST_COMPOUND_CALCIUM_TUNGSTATE,$
	NIST_COMPOUND_CARBON_DIOXIDE,$
	NIST_COMPOUND_CARBON_TETRACHLORIDE,$
	NIST_COMPOUND_CELLULOSE_ACETATE_CELLOPHANE,$
	NIST_COMPOUND_CELLULOSE_ACETATE_BUTYRATE,$
	NIST_COMPOUND_CELLULOSE_NITRATE,$
	NIST_COMPOUND_CERIC_SULFATE_DOSIMETER_SOLUTION,$
	NIST_COMPOUND_CESIUM_FLUORIDE,$
	NIST_COMPOUND_CESIUM_IODIDE,$
	NIST_COMPOUND_CHLOROBENZENE,$
	NIST_COMPOUND_CHLOROFORM,$
	NIST_COMPOUND_CONCRETE_PORTLAND,$
	NIST_COMPOUND_CYCLOHEXANE,$
	NIST_COMPOUND_12_DDIHLOROBENZENE,$
	NIST_COMPOUND_DICHLORODIETHYL_ETHER,$
	NIST_COMPOUND_12_DICHLOROETHANE,$
	NIST_COMPOUND_DIETHYL_ETHER,$
	NIST_COMPOUND_NN_DIMETHYL_FORMAMIDE,$
	NIST_COMPOUND_DIMETHYL_SULFOXIDE,$
	NIST_COMPOUND_ETHANE,$
	NIST_COMPOUND_ETHYL_ALCOHOL,$
	NIST_COMPOUND_ETHYL_CELLULOSE,$
	NIST_COMPOUND_ETHYLENE,$
	NIST_COMPOUND_EYE_LENS_ICRP,$
	NIST_COMPOUND_FERRIC_OXIDE,$
	NIST_COMPOUND_FERROBORIDE,$
	NIST_COMPOUND_FERROUS_OXIDE,$
	NIST_COMPOUND_FERROUS_SULFATE_DOSIMETER_SOLUTION,$
	NIST_COMPOUND_FREON_12,$
	NIST_COMPOUND_FREON_12B2,$
	NIST_COMPOUND_FREON_13,$
	NIST_COMPOUND_FREON_13B1,$
	NIST_COMPOUND_FREON_13I1,$
	NIST_COMPOUND_GADOLINIUM_OXYSULFIDE,$
	NIST_COMPOUND_GALLIUM_ARSENIDE,$
	NIST_COMPOUND_GEL_IN_PHOTOGRAPHIC_EMULSION,$
	NIST_COMPOUND_GLASS_PYREX,$
	NIST_COMPOUND_GLASS_LEAD,$
	NIST_COMPOUND_GLASS_PLATE,$
	NIST_COMPOUND_GLUCOSE,$
	NIST_COMPOUND_GLUTAMINE,$
	NIST_COMPOUND_GLYCEROL,$
	NIST_COMPOUND_GUANINE,$
	NIST_COMPOUND_GYPSUM_PLASTER_OF_PARIS,$
	NIST_COMPOUND_N_HEPTANE,$
	NIST_COMPOUND_N_HEXANE,$
	NIST_COMPOUND_KAPTON_POLYIMIDE_FILM,$
	NIST_COMPOUND_LANTHANUM_OXYBROMIDE,$
	NIST_COMPOUND_LANTHANUM_OXYSULFIDE,$
	NIST_COMPOUND_LEAD_OXIDE,$
	NIST_COMPOUND_LITHIUM_AMIDE,$
	NIST_COMPOUND_LITHIUM_CARBONATE,$
	NIST_COMPOUND_LITHIUM_FLUORIDE,$
	NIST_COMPOUND_LITHIUM_HYDRIDE,$
	NIST_COMPOUND_LITHIUM_IODIDE,$
	NIST_COMPOUND_LITHIUM_OXIDE,$
	NIST_COMPOUND_LITHIUM_TETRABORATE,$
	NIST_COMPOUND_LUNG_ICRP,$
	NIST_COMPOUND_M3_WAX,$
	NIST_COMPOUND_MAGNESIUM_CARBONATE,$
	NIST_COMPOUND_MAGNESIUM_FLUORIDE,$
	NIST_COMPOUND_MAGNESIUM_OXIDE,$
	NIST_COMPOUND_MAGNESIUM_TETRABORATE,$
	NIST_COMPOUND_MERCURIC_IODIDE,$
	NIST_COMPOUND_METHANE,$
	NIST_COMPOUND_METHANOL,$
	NIST_COMPOUND_MIX_D_WAX,$
	NIST_COMPOUND_MS20_TISSUE_SUBSTITUTE,$
	NIST_COMPOUND_MUSCLE_SKELETAL,$
	NIST_COMPOUND_MUSCLE_STRIATED,$
	NIST_COMPOUND_MUSCLE_EQUIVALENT_LIQUID_WITH_SUCROSE,$
	NIST_COMPOUND_MUSCLE_EQUIVALENT_LIQUID_WITHOUT_SUCROSE,$
	NIST_COMPOUND_NAPHTHALENE,$
	NIST_COMPOUND_NITROBENZENE,$
	NIST_COMPOUND_NITROUS_OXIDE,$
	NIST_COMPOUND_NYLON_DU_PONT_ELVAMIDE_8062,$
	NIST_COMPOUND_NYLON_TYPE_6_AND_TYPE_66,$
	NIST_COMPOUND_NYLON_TYPE_610,$
	NIST_COMPOUND_NYLON_TYPE_11_RILSAN,$
	NIST_COMPOUND_OCTANE_LIQUID,$
	NIST_COMPOUND_PARAFFIN_WAX,$
	NIST_COMPOUND_N_PENTANE,$
	NIST_COMPOUND_PHOTOGRAPHIC_EMULSION,$
	NIST_COMPOUND_PLASTIC_SCINTILLATOR_VINYLTOLUENE_BASED,$
	NIST_COMPOUND_PLUTONIUM_DIOXIDE,$
	NIST_COMPOUND_POLYACRYLONITRILE,$
	NIST_COMPOUND_POLYCARBONATE_MAKROLON_LEXAN,$
	NIST_COMPOUND_POLYCHLOROSTYRENE,$
	NIST_COMPOUND_POLYETHYLENE,$
	NIST_COMPOUND_POLYETHYLENE_TEREPHTHALATE_MYLAR,$
	NIST_COMPOUND_POLYMETHYL_METHACRALATE_LUCITE_PERSPEX,$
	NIST_COMPOUND_POLYOXYMETHYLENE,$
	NIST_COMPOUND_POLYPROPYLENE,$
	NIST_COMPOUND_POLYSTYRENE,$
	NIST_COMPOUND_POLYTETRAFLUOROETHYLENE_TEFLON,$
	NIST_COMPOUND_POLYTRIFLUOROCHLOROETHYLENE,$
	NIST_COMPOUND_POLYVINYL_ACETATE,$
	NIST_COMPOUND_POLYVINYL_ALCOHOL,$
	NIST_COMPOUND_POLYVINYL_BUTYRAL,$
	NIST_COMPOUND_POLYVINYL_CHLORIDE,$
	NIST_COMPOUND_POLYVINYLIDENE_CHLORIDE_SARAN,$
	NIST_COMPOUND_POLYVINYLIDENE_FLUORIDE,$
	NIST_COMPOUND_POLYVINYL_PYRROLIDONE,$
	NIST_COMPOUND_POTASSIUM_IODIDE,$
	NIST_COMPOUND_POTASSIUM_OXIDE,$
	NIST_COMPOUND_PROPANE,$
	NIST_COMPOUND_PROPANE_LIQUID,$
	NIST_COMPOUND_N_PROPYL_ALCOHOL,$
	NIST_COMPOUND_PYRIDINE,$
	NIST_COMPOUND_RUBBER_BUTYL,$
	NIST_COMPOUND_RUBBER_NATURAL,$
	NIST_COMPOUND_RUBBER_NEOPRENE,$
	NIST_COMPOUND_SILICON_DIOXIDE,$
	NIST_COMPOUND_SILVER_BROMIDE,$
	NIST_COMPOUND_SILVER_CHLORIDE,$
	NIST_COMPOUND_SILVER_HALIDES_IN_PHOTOGRAPHIC_EMULSION,$
	NIST_COMPOUND_SILVER_IODIDE,$
	NIST_COMPOUND_SKIN_ICRP,$
	NIST_COMPOUND_SODIUM_CARBONATE,$
	NIST_COMPOUND_SODIUM_IODIDE,$
	NIST_COMPOUND_SODIUM_MONOXIDE,$
	NIST_COMPOUND_SODIUM_NITRATE,$
	NIST_COMPOUND_STILBENE,$
	NIST_COMPOUND_SUCROSE,$
	NIST_COMPOUND_TERPHENYL,$
	NIST_COMPOUND_TESTES_ICRP,$
	NIST_COMPOUND_TETRACHLOROETHYLENE,$
	NIST_COMPOUND_THALLIUM_CHLORIDE,$
	NIST_COMPOUND_TISSUE_SOFT_ICRP,$
	NIST_COMPOUND_TISSUE_SOFT_ICRU_FOUR_COMPONENT,$
	NIST_COMPOUND_TISSUE_EQUIVALENT_GAS_METHANE_BASED,$
	NIST_COMPOUND_TISSUE_EQUIVALENT_GAS_PROPANE_BASED,$
	NIST_COMPOUND_TITANIUM_DIOXIDE,$
	NIST_COMPOUND_TOLUENE,$
	NIST_COMPOUND_TRICHLOROETHYLENE,$
	NIST_COMPOUND_TRIETHYL_PHOSPHATE,$
	NIST_COMPOUND_TUNGSTEN_HEXAFLUORIDE,$
	NIST_COMPOUND_URANIUM_DICARBIDE,$
	NIST_COMPOUND_URANIUM_MONOCARBIDE,$
	NIST_COMPOUND_URANIUM_OXIDE,$
	NIST_COMPOUND_UREA,$
	NIST_COMPOUND_VALINE,$
	NIST_COMPOUND_VITON_FLUOROELASTOMER,$
	NIST_COMPOUND_WATER_LIQUID,$
	NIST_COMPOUND_WATER_VAPOR,$
	NIST_COMPOUND_XYLENE,$
	RADIO_NUCLIDE_55FE,$
	RADIO_NUCLIDE_57CO,$
	RADIO_NUCLIDE_109CD,$
	RADIO_NUCLIDE_125I,$
	RADIO_NUCLIDE_137CS,$
	RADIO_NUCLIDE_133BA,$
	RADIO_NUCLIDE_153GD,$
	RADIO_NUCLIDE_238PU,$
	RADIO_NUCLIDE_241AM,$
	RADIO_NUCLIDE_244CM


AVOGNUM = 0.602252        ; Avogadro number (mol-1 * barn-1 * cm2) 
KEV2ANGST = 12.398520     ; keV to angstrom-1 conversion factor 
MEC2 = 511.0034           ; electron rest mass (keV) 
RE2 = 0.07940775          ; square of classical electron radius (barn)
R_E = 2.8179403267e-15    ; Classical electron radius (m)

KA_LINE = 0
KB_LINE = 1
LA_LINE = 2
LB_LINE = 3
      
F1_TRANS   = 0    
F12_TRANS  = 1     
F13_TRANS  = 2    
FP13_TRANS = 3     
F23_TRANS  = 4    

FL12_TRANS = 1
FL13_TRANS = 2
FLP13_TRANS = 3
FL23_TRANS = 4
FM12_TRANS = 5
FM13_TRANS = 6
FM14_TRANS = 7
FM15_TRANS = 8
FM23_TRANS = 9
FM24_TRANS = 10
FM25_TRANS = 11
FM34_TRANS = 12
FM35_TRANS = 13
FM45_TRANS = 14


.run xraylib_lines

KA1_LINE = KL3_LINE
KA2_LINE = KL2_LINE
KA3_LINE = KL1_LINE
KB1_LINE = KM3_LINE
KB2_LINE = KN3_LINE
KB3_LINE = KM2_LINE
KB4_LINE = KN5_LINE
KB5_LINE = KM5_LINE

LA1_LINE = L3M5_LINE
LA2_LINE = L3M4_LINE
LB1_LINE = L2M4_LINE
LB2_LINE = L3N5_LINE
LB3_LINE = L1M3_LINE
LB4_LINE = L1M2_LINE
LB5_LINE = L3O45_LINE
LB6_LINE = L3N1_LINE
LB7_LINE = L3O1_LINE
LB9_LINE = L1M5_LINE
LB10_LINE = L1M4_LINE
LB15_LINE = L3N4_LINE
LB17_LINE = L2M3_LINE
LG1_LINE = L2N4_LINE
LG2_LINE = L1N2_LINE
LG3_LINE = L1N3_LINE
LG4_LINE = L1O3_LINE
LG5_LINE = L2N1_LINE
LG6_LINE = L2O4_LINE
LG8_LINE = L2O1_LINE
LE_LINE = L2M1_LINE
LH_LINE = L2M1_LINE
LL_LINE = L3M1_LINE
LS_LINE = L3M3_LINE
LT_LINE = L3M2_LINE
LU_LINE = L3N6_LINE
LV_LINE = L2N6_LINE

MA1_LINE = M5N7_LINE
MA2_LINE = M5N6_LINE
MB_LINE = M4N6_LINE
MG_LINE = M3N5_LINE


.run xraylib_shells
.run xraylib_auger
.run xraylib_nist_compounds
.run xraylib_radionuclides
.compile xraylib_help



;XRayInit
